[Rd] R-2.0.0 Install problem for package bundle with inter-dependent n amespaces

From: Warnes, Gregory R <gregory_r_warnes_at_groton.pfizer.com>
Date: Sat 18 Sep 2004 - 04:18:29 EST

I have a revised version of the gregmisc package, which I've converted into a package bundle each of which has a namespace: gplots, gmodels, gdata, gtoools. Of course, there are interdependencies among these namespaces:

	gsun374: /tmp [11]> cd gregmisc/
	gsun374: gregmisc [12]> grep import */NAMESPACE
	gdata/NAMESPACE:importFrom(gtools, odd, invalid, mixedsort)
	gmodels/NAMESPACE:importFrom(MASS, ginv)
	gplots/NAMESPACE:importFrom(gtools, invalid)
	gplots/NAMESPACE:importFrom(gtools, odd)
	gplots/NAMESPACE:importFrom(gdata, nobs)

Under R-1.9.1, this package bundle passes R CMD check and installs happily. However, under yesterday's R-2.0.0-alpha, the package fails to install (& hence pass CMD CHECK) with the error

because the gdata package is the last in the bundle to be installed, so it is not yet present.

So, what is the proper way to handle this? Is there some way to manually specify the package install order?

Gregory R. Warnes
Manager, Non-Clinical Statistics
Pfizer Global Research and Development

LEGAL NOTICE\ Unless expressly stated otherwise, this messag...{{dropped}}



R-devel@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Sat Sep 18 04:22:39 2004

This archive was generated by hypermail 2.1.8 : Fri 18 Mar 2005 - 09:00:21 EST